RDKit::UsedLabelMap Class Reference

`#include <RGroupDecomp.h>`

## Public Member Functions

| UsedLabelMap (const std::map< int, int > &mapping)
bool | getIsUsed (int label) const
void | setIsUsed (int label)
bool | isUserDefined (int label) const

## Detailed Description

Definition at line 138 of file RGroupDecomp.h.

## Constructor & Destructor Documentation

## UsedLabelMap()

RDKit::UsedLabelMap::UsedLabelMap | ( | const std::map< int, int > & | mapping | ) |

inline

Definition at line 140 of file RGroupDecomp.h.

## Member Function Documentation

## getIsUsed()

bool RDKit::UsedLabelMap::getIsUsed | ( | int | label | ) | const

inline

Definition at line 145 of file RGroupDecomp.h.

## isUserDefined()

bool RDKit::UsedLabelMap::isUserDefined | ( | int | label | ) | const

inline

Definition at line 147 of file RGroupDecomp.h.

## setIsUsed()

void RDKit::UsedLabelMap::setIsUsed | ( | int | label | ) |

inline

Definition at line 146 of file RGroupDecomp.h.

The documentation for this class was generated from the following file:

- RGroupDecomp.h